CVE-2019-3466

Priority
Description
The pg_ctlcluster script in postgresql-common in versions prior to 210
didn't drop privileges when creating socket/statistics temporary
directories, which could result in local privilege escalation.
Assigned-to
mdeslaur
Notes
Package
Upstream:released (210)
Ubuntu 12.04 ESM (Precise Pangolin):not-affected (code not present)
Ubuntu 14.04 ESM (Trusty Tahr):released (154ubuntu1.1+esm1)
Ubuntu 16.04 LTS (Xenial Xerus):released (173ubuntu0.3)
Ubuntu 18.04 LTS (Bionic Beaver):released (190ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):released (199ubuntu0.1)
Ubuntu 19.10 (Eoan Ermine):released (204ubuntu0.1)
Ubuntu 20.04 (Focal Fossa):pending (210)
Patches:
Upstream:https://salsa.debian.org/postgresql/postgresql-common/commit/ec9d984b62ed79f61be97b786a9ff4381309979c
More Information

Updated: 2019-12-05 20:07:52 UTC (commit 0aa5e7c87c8b55d2ec5c7f4ca1179cf75de91961)